Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# de2D.cpp File Reference

2D Overlays and other 2D drawing More...

`#include <cstring>`
`#include "de2D_priv.hpp"`
`#include "deMath.hpp"`
`#include "deCamera.hpp"`
`#include "deStack.hpp"`

Include dependency graph for de2D.cpp:

## Functions
Ide2DCollection * | Ide2DObject_Create2DCollection ()
| create an instance of Ide2DCollection
Ide2DObject * | Ide2DObject_Create2DObject (IdeVertexBuffer *VBuffer, IdeRenderTexture *Texture, deFloat Depth, deBoolean ExpireNow)
| create an instance of Ide2DObject using a vertex buffer
Ide2DObject * | Ide2DObject_Create2DOverlay (deRect *ScreenRect, deFloatRect *TexCoords, IdeRenderTexture *Texture, deFloat Depth, deARGB color, deDouble FadePerSecond)
| create an instance of Ide2DObject using a rectangle to form an overlay
Ide2DObject * | Ide2DObject_Create2DCorona (deRect *SizeRect, deFloatRect *TexCoords, IdeRenderTexture *Texture, IdeCamera *ScreenCamera, deFloat Depth, deARGB color)
| create an instance of Ide2DObject to act as a corona
Ide2DObject * | Ide2DObject_Create2DLine (deVec3d Start, deVec3d End, deARGB color, deDouble FadePerSecond, deFloat Depth)
| create an instance of Ide2DObject using a line segment
Ide2DObject * | Ide2DObject_Create2DLineList (deVec3d PointList[], long NumPoints, deARGB color, deDouble FadePerSecond, deFloat Depth)
| create an instance of Ide2DObject using several line segments
Ide2DObject * | Ide2DObject_Create2DLineRect (deRect &LineRect, deARGB color, deDouble FadePerSecond, deFloat Depth)
| create an instance of Ide2DObject using a rectangle to form lines
## Variables
deRect | ZeroRect = {0,0,0,0}

## Detailed Description

2D Overlays and other 2D drawing

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Mar 2002

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

Ide2DCollection* Ide2DObject_Create2DCollection | ( |  | ) |

| create an instance of Ide2DCollection

Ide2DObject* Ide2DObject_Create2DCorona | ( | deRect * | SizeRect,
|  | deFloatRect * | TexCoords,
|  | IdeRenderTexture * | Texture,
|  | IdeCamera * | ScreenCamera,
|  | deFloat | Depth,
|  | deARGB | color
| ) |

| create an instance of Ide2DObject to act as a corona

Ide2DObject* Ide2DObject_Create2DLine | ( | deVec3d | Start,
|  | deVec3d | End,
|  | deARGB | color,
|  | deDouble | FadePerSecond,
|  | deFloat | Depth
| ) |

| create an instance of Ide2DObject using a line segment

Ide2DObject* Ide2DObject_Create2DLineList | ( | deVec3d | PointList[],
|  | long | NumPoints,
|  | deARGB | color,
|  | deDouble | FadePerSecond,
|  | deFloat | Depth
| ) |

| create an instance of Ide2DObject using several line segments

Ide2DObject* Ide2DObject_Create2DLineRect | ( | deRect & | LineRect,
|  | deARGB | color,
|  | deDouble | FadePerSecond,
|  | deFloat | Depth
| ) |

| create an instance of Ide2DObject using a rectangle to form lines

Ide2DObject* Ide2DObject_Create2DObject | ( | IdeVertexBuffer * | VBuffer,
|  | IdeRenderTexture * | Texture,
|  | deFloat | Depth,
|  | deBoolean | ExpireNow
| ) |

| create an instance of Ide2DObject using a vertex buffer

Ide2DObject* Ide2DObject_Create2DOverlay | ( | deRect * | ScreenRect,
|  | deFloatRect * | TexCoords,
|  | IdeRenderTexture * | Texture,
|  | deFloat | Depth,
|  | deARGB | color,
|  | deDouble | FadePerSecond
| ) |

| create an instance of Ide2DObject using a rectangle to form an overlay

## Variable Documentation

deRect ZeroRect = {0,0,0,0}`[static]`